DocsOmniFi APIsChangelog
SkySparcContact UsLog In
OmniFi APIs

Execute Async

api/autotest/workspaces/{WorkspaceId}/testplan/execute-async

Asynchronously executes a branch or the entire Test Plan of the specified workspace.
While both NodeId and Path parameters are optional, they are mutually exclusive.
If neither is specified, the entire test plan is executed.
Returns 202:Accepted immediately with a Location header pointing to the execution result endpoint.

Path Params
int32
required
≥ 1

The database ID of the workspace to execute. This is obtained as
return value of CreateWorkspace (PUT /workspaces), or can be
retrieved by inspecting the result of ListWorkspaces
(GET /workspaces).

Query Params
int32

(Optional) The logical ID of the node to execute. Inner nodes (Groups and test cases)
are specified with positive database ID, task leaf nodes are specified with
negative database ID. Omit to use Path instead.

string

(Optional) The slash-separated path to the node to execute.
The path must reference a concrete group or task. Virtual nodes
that are created from test case reference are not supported.
Omit to execute the entire workspace.

int32

(Optional) The ID of the test plan to execute, or null to execute the repository.
This is used in conjunction with Path to determine which test plan the path belongs to,
and can be omitted or specified to null if executing by NodeId, or in repository.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json